API Reference
Complete reference for the SkillRouter REST API
Base URL:
https://api.skillrouter.devPOST
/v1/executeExecute a skill
Example Request
cURL
curl -X POST https://api.skillrouter.dev/v1/execute \
-H "Authorization: Bearer sk_..." \
-H "Content-Type: application/json" \
-d '{
"skill_id": "sendgrid-email",
"params": {
"to": "user@example.com",
"subject": "Hello from SkillRouter",
"body": "This email was sent by an AI agent!"
}
}'Example Response
JSON
{
"id": "exec_abc123",
"skill_id": "sendgrid-email",
"status": "completed",
"success": true,
"latency_ms": 245,
"result": {
"message_id": "msg_xyz789",
"status": "sent"
},
"created_at": "2025-02-05T10:30:00Z"
}Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| skill_id | string | Yes | The ID of the skill to execute |
| params | object | Yes | Parameters required by the skill |
| async | boolean | No | Execute asynchronously (default: false) |
| timeout_ms | number | No | Execution timeout in milliseconds |